com.microfocus.awm.meta.interfaces

## Interface RErrorViewAction

- All Superinterfaces:
    AWMObject, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier
  All Known Implementing Classes:
    RErrorViewActionImpl

      public interface RErrorViewAction
      extends AWMObject

  The following features are supported:

  - `Target ID`
  - `Default Action`
  - `Label`
  - `Seq No`
  See Also:
    `TaurusPackage.getRErrorViewAction()`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getLabel()` Returns the value of the 'Label' attribute.
    `java.lang.String` | `getLabelFromHierarchy()` Returns the Label or, if the Label wasn't set, the Label of the referenced ActionDescriptor (TargetID).
    `int` | `getSeqNo()` Returns the value of the 'Seq No' attribute.
    `ActionDescriptor` | `getTargetID()` Returns the value of the 'Target ID' reference.
    `boolean` | `isDefaultAction()` Returns the value of the 'Default Action' attribute.
    `boolean` | `isSetDefaultAction()` Returns whether the value of the '`Default Action`' attribute is set.
    `boolean` | `isSetSeqNo()` Returns whether the value of the '`Seq No`' attribute is set.
    `void` | `setDefaultAction(boolean value)` Sets the value of the '`Default Action`' attribute.
    `void` | `setLabel(java.lang.String value)` Sets the value of the '`Label`' attribute.
    `void` | `setSeqNo(int value)` Sets the value of the '`Seq No`' attribute.
    `void` | `setTargetID(ActionDescriptor value)` Sets the value of the '`Target ID`' reference.
    `void` | `unsetDefaultAction()` Unsets the value of the '`Default Action`' attribute.
    `void` | `unsetSeqNo()` Unsets the value of the '`Seq No`' attribute.

    - ### Methods inherited from interface com.microfocus.awm.meta.interfaces.AWMObject

      `getComment, isSetComment, setComment, unsetComment`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getTargetID

          ActionDescriptor getTargetID()

      Returns the value of the 'Target ID' reference.
      Returns:
        the value of the 'Target ID' reference.
      See Also:
        `setTargetID(ActionDescriptor)`, `TaurusPackage.getRErrorViewAction_TargetID()`

    - #### setTargetID

          void setTargetID(ActionDescriptor value)

      Sets the value of the '`Target ID`' reference.
      Parameters:
        `value` - the new value of the 'Target ID' reference.
      See Also:
        `getTargetID()`

    - #### isDefaultAction

          boolean isDefaultAction()

      Returns the value of the 'Default Action' attribute.
      Returns:
        the value of the 'Default Action' attribute.
      See Also:
        `isSetDefaultAction()`, `unsetDefaultAction()`, `setDefaultAction(boolean)`, `TaurusPackage.getRErrorViewAction_DefaultAction()`

    - #### setDefaultAction

          void setDefaultAction(boolean value)

      Sets the value of the '`Default Action`' attribute.
      Parameters:
        `value` - the new value of the 'Default Action' attribute.
      See Also:
        `isSetDefaultAction()`, `unsetDefaultAction()`, `isDefaultAction()`

    - #### unsetDefaultAction

          void unsetDefaultAction()

      Unsets the value of the '`Default Action`' attribute.
      See Also:
        `isSetDefaultAction()`, `isDefaultAction()`, `setDefaultAction(boolean)`

    - #### isSetDefaultAction

          boolean isSetDefaultAction()

      Returns whether the value of the '`Default Action`' attribute is set.
      Returns:
        whether the value of the 'Default Action' attribute is set.
      See Also:
        `unsetDefaultAction()`, `isDefaultAction()`, `setDefaultAction(boolean)`

    - #### getLabel

          java.lang.String getLabel()

      Returns the value of the 'Label' attribute.
      Returns:
        the value of the 'Label' attribute.
      See Also:
        `setLabel(String)`, `TaurusPackage.getRErrorViewAction_Label()`

    - #### getLabelFromHierarchy

          java.lang.String getLabelFromHierarchy()

      Returns the Label or, if the Label wasn't set, the Label of the referenced ActionDescriptor (TargetID). If the ActionDescriptors Label wasn't set, too, its ID will be returned.
      Returns:
        the label of the action.

    - #### setLabel

          void setLabel(java.lang.String value)

      Sets the value of the '`Label`' attribute.
      Parameters:
        `value` - the new value of the 'Label' attribute.
      See Also:
        `getLabel()`

    - #### getSeqNo

          int getSeqNo()

      Returns the value of the 'Seq No' attribute.
      Returns:
        the value of the 'Seq No' attribute.
      See Also:
        `isSetSeqNo()`, `unsetSeqNo()`, `setSeqNo(int)`, `TaurusPackage.getRErrorViewAction_SeqNo()`

    - #### setSeqNo

          void setSeqNo(int value)

      Sets the value of the '`Seq No`' attribute.
      Parameters:
        `value` - the new value of the 'Seq No' attribute.
      See Also:
        `isSetSeqNo()`, `unsetSeqNo()`, `getSeqNo()`

    - #### unsetSeqNo

          void unsetSeqNo()

      Unsets the value of the '`Seq No`' attribute.
      See Also:
        `isSetSeqNo()`, `getSeqNo()`, `setSeqNo(int)`

    - #### isSetSeqNo

          boolean isSetSeqNo()

      Returns whether the value of the '`Seq No`' attribute is set.
      Returns:
        whether the value of the 'Seq No' attribute is set.
      See Also:
        `unsetSeqNo()`, `getSeqNo()`, `setSeqNo(int)`

Copyright © 2015 Micro Focus GmbH. All rights reserved.